---
lang: en
title: 'API docs: metrics.metricsoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/metrics
permalink: /doc/en/lb4/apidocs.metrics.metricsoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metrics](./metrics.md) &gt; [MetricsOptions](./metrics.metricsoptions.md)

## MetricsOptions interface

Options for metrics component

**Signature:**

```typescript
export interface MetricsOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[defaultLabels?](./metrics.metricsoptions.defaultlabels.md)


</td><td>


</td><td>

{ \[labelName: string\]: string; }


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[defaultMetrics?](./metrics.metricsoptions.defaultmetrics.md)


</td><td>


</td><td>

{ disabled?: boolean; } &amp; DefaultMetricsCollectorConfiguration


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[endpoint?](./metrics.metricsoptions.endpoint.md)


</td><td>


</td><td>

{ disabled?: boolean; basePath?: string; }


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[openApiSpec?](./metrics.metricsoptions.openapispec.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[pushGateway?](./metrics.metricsoptions.pushgateway.md)


</td><td>


</td><td>

{ disabled?: boolean; url: string; interval?: number; jobName?: string; groupingKey?: { \[key: string\]: string; }; replaceAll?: boolean; }


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

